%define	major 1
%define libname	%mklibname tonezone %{major}
%define libnamedevel %mklibname tonezone -d
%define libnamedevelold %mklibname tonezone 1 -d
%define libnamestaticdevel %mklibname tonezone -d -s

%define	progs fxotune fxstest hdlcgen hdlcstress hdlctest hdlcverify patgen patlooptest pattest sethdlc-new timertest torisatool usbfxstest ztcfg ztcfg-dude ztdiag ztmonitor ztscan ztspeed zttest zttool

Summary:	Zapata Telephony Interface Library and tools
Name:		zaptel
Version:	1.4.10.1
Release:	%mkrel 3
License:	GPL
Group:		System/Libraries
URL:		http://www.asterisk.org/
Source0:	http://downloads.digium.com/pub/zaptel/%{name}-%{version}.tar.gz
Source1:	zaptel.init
Source2:	zaptel.sysconfig
Source3:	modprobe.conf
# http://www.venturevoip.com/news.php?rssid=801
Source4:	ztclock.c
Patch0:		zaptel-1.4.0-mdv.diff
BuildRequires:	newt-devel
BuildRequires:	libzap-devel >= 1.0.1
BuildConflicts:	libtonezone-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Zapata Telephony Interface Library and utilities

The Zapata Telephony Interface drivers is contained in the 
kernel-zaptel (or dkms) package.

%package -n	%{libname}
Summary:	The shared Zapata Telephony Interface Library
Group:          System/Libraries

%description -n	%{libname}
The shared Zapata Telephony Interface Library

The Zapata Telephony Interface drivers is contained in the 
kernel-zaptel (or dkms) package.

%package -n	%{libnamedevel}
Summary:	Development files for the Zapata Telephony Interface Library
Group:		Development/C
Obsoletes:      %{libnamedevelold} < %{version}-%{release}
Provides:	tonezone-devel = %{version}-%{release}
Provides:	libtonezone-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libnamedevel}
Development files for the Zapata Telephony Interface Library.

This package contains the tonezone library and its header
files.

%package -n	%{libnamestaticdevel}
Summary:	Static development files for the Zapata Telephony Interface Library
Group:		Development/C
Provides:	tonezone-static-devel = %{version}-%{release}
Requires:	%{libnamedevel} = %{version}-%{release}

%description -n	%{libnamestaticdevel}
Static development files for the Zapata Telephony Interface Library.

This package contains the static tonezone library.

%package -n	dkms-%{name}
Summary:	Kernel drivers for the Zapata Telephony Interface
Group:		System/Kernel and hardware
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires:	dkms
Requires:	zaptel-tools = %{version}
Requires:	sethdlc >= 1.15

%description -n	dkms-%{name}
Kernel drivers for the Zapata Telephony Interfaces:

 o tor2 - T400P - Quad Span T1 Card
          E400P - Quad Span E1 Card
 o wcfxo - X100P/X101P - Single port FXO interface
 o wctdm - TDM400P - Modular FXS/FXO interface (1-4 ports)
 o zaptel - Zapata Telephony Interface
 o torisa - Old Tormenta1 ISA Card
 o ztdummy - UHCI USB Zaptel Timing Only Interface
 o xpp_usb - XPP USB Driver
 o xpd_fxo - XPP FXO Card Driver
 o xpd_fxs - XPP FXS Card Driver
 o wct4xxp - TE405P - Quad Span T1/E1 Card (5v version)
             TE410P - Quad Span T1/E1 Card (3.3v version)
 o wct1xxp - T100P - Single Span T1 Card
             E100P - Single Span E1 Card
 o wct11xp - TE110P - Single Span T1/E1 Card
 o pciradio - PCI RADIO Card  Zapata Telephony PCI Quad Radio 
              Interface driver
 o ztdynamic - Zaptel Dynamic Span Support
 o wctdm24xxp - TDM2400P TDM FXS/FXO Interface Driver
 o zttranscode - Zaptel Transcoder Support
 o ztd-eth, ztd-loc - Zaptel Dynamic TDMoE Support
 o wcusb - Single port FXS USB Interface

%package	tools
Summary:	Various tools for the Zapata Telephony Interface
Group:          System/Kernel and hardware

%description	tools
Various tools for the Zapata Telephony Interface

%prep

%setup -q

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type d -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;
		
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%patch0 -p0 -b .mdk

# install additional sources here.
cp %{SOURCE1} zaptel.init
cp %{SOURCE2} zaptel.sysconfig
cp %{SOURCE3} modprobe.conf
cp %{SOURCE4} ztclock.c

%build
%configure
%make RPM_OPT_FLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT" libtonezone.so
%make libtonezone.a

# make these with a twist...
mkdir -p private-build
cp -p *.c *.h *.cc Makefile private-build/
cp -p libtonezone.so.%{major}.0 private-build/

pushd private-build
perl -pi -e "s|\"kernel/|\"../kernel/|g" *
perl -pi -e "s|\<zaptel.h>|\"../kernel/zaptel.h\"|g" usbfxstest.c
perl -pi -e "s|kernel/zaptel.h|../kernel/zaptel.h|g" Makefile

ln -snf libtonezone.so.%{major}.0 libtonezone.so.%{major}
ln -snf libtonezone.so.%{major}.0 libtonezone.so

for prog in %progs; do
    %make RPM_OPT_FLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT -L." $prog
done

%make RPM_OPT_FLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT" libtonezone.a
rm -f libtonezone.so*
gcc %{optflags} -fPIC -DPIC -D_REENTRANT -o ../ztcfg-static ztcfg.o -lm -L. -ltonezone ./libtonezone.a

popd

gcc %{optflags} -I. -lm ztclock.c -o ztclock

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/sysconfig/network-scripts
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_includedir}/zaptel
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}/sbin
install -d %{buildroot}%{_mandir}/man8

install -d %{buildroot}/usr/src/%{name}-%{version}-%{release}
cp 	Makefile \
	*.c \
	*.h \
	%{buildroot}/usr/src/%{name}-%{version}-%{release}/

cp -r	build_tools \
	menuselect \
	firmware \
	kernel \
	%{buildroot}/usr/src/%{name}-%{version}-%{release}/

# Remove files that produce weird dependencies
rm	%{buildroot}/usr/src/%{name}-%{version}-%{release}/kernel/oct612x/get_discards \
	%{buildroot}/usr/src/%{name}-%{version}-%{release}/kernel/xpp/calibrate_slics

perl -pi -e "s#\"octdef.h\"#\"../octdef.h\"#g" \
	%{buildroot}/usr/src/%{name}-%{version}-%{release}/apilib/*.h \
	%{buildroot}/usr/src/%{name}-%{version}-%{release}/oct6100api/*.h

perl -pi -e "s#\"oct6100_#\"oct6100api/oct6100_#g" \
	%{buildroot}/usr/src/%{name}-%{version}-%{release}/vpm450m.c

perl -pi -e "s|\<linux/zaptel\.h\>|\"zaptel\.h\"|g" \
	%{buildroot}/usr/src/%{name}-%{version}-%{release}/*

perl -pi -e "s|\<zaptel\.h\>|\"zaptel\.h\"|g" \
	%{buildroot}/usr/src/%{name}-%{version}-%{release}/*

perl -pi -e "s|prereq: config.status|prereq: |g" \
	%{buildroot}/usr/src/%{name}-%{version}-%{release}/Makefile

echo %{version}-%{release} \
	> %{buildroot}/usr/src/%{name}-%{version}-%{release}/.version

mkdir -p %{buildroot}/etc/udev/rules.d
cat > %{buildroot}/etc/udev/rules.d/40-%{name}.rules <<EOF
# udev rules to generate the /dev/zap device files (if not yet provided
# by your distribution):
KERNEL=="zapctl", NAME="zap/ctl"
KERNEL=="zaptranscode", NAME="zap/transcode"
KERNEL=="zaptimer", NAME="zap/timer"
KERNEL=="zapchannel", NAME="zap/channel"
KERNEL=="zappseudo", NAME="zap/pseudo"
KERNEL=="zap[0-9]*", NAME="zap/%n"

# zaptel devices with ownership/permissions for running as non-root
SUBSYSTEM=="zaptel",  OWNER="asterisk", GROUP="asterisk", MODE="0660"
EOF

cat > %{buildroot}/usr/src/%{name}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{name}"
MAKE[0]="make modules KERNVER=\$kernelver"
CLEAN="make KERNVER=\$kernelver clean"

BUILT_MODULE_NAME[0]="pciradio"
BUILT_MODULE_LOCATION[0]="kernel/"
DEST_MODULE_LOCATION[0]="/kernel/drivers/telephony/zaptel"

BUILT_MODULE_NAME[1]="tor2"
BUILT_MODULE_LOCATION[1]="kernel/"
DEST_MODULE_LOCATION[1]="/kernel/drivers/telephony/zaptel"

BUILT_MODULE_NAME[2]="torisa"
BUILT_MODULE_LOCATION[2]="kernel/"
DEST_MODULE_LOCATION[2]="/kernel/drivers/telephony/zaptel"

BUILT_MODULE_NAME[3]="wcfxo"
BUILT_MODULE_LOCATION[3]="kernel/"
DEST_MODULE_LOCATION[3]="/kernel/drivers/telephony/zaptel"

BUILT_MODULE_NAME[4]="wct1xxp"
BUILT_MODULE_LOCATION[4]="kernel/"
DEST_MODULE_LOCATION[4]="/kernel/drivers/telephony/zaptel"

BUILT_MODULE_NAME[5]="wct4xxp"
BUILT_MODULE_LOCATION[5]="kernel/wct4xxp/"
DEST_MODULE_LOCATION[5]="/kernel/drivers/telephony/zaptel"

BUILT_MODULE_NAME[6]="wctdm"
BUILT_MODULE_LOCATION[6]="kernel/"
DEST_MODULE_LOCATION[6]="/kernel/drivers/telephony/zaptel"

BUILT_MODULE_NAME[7]="wctdm24xxp"
BUILT_MODULE_LOCATION[7]="kernel/wctdm24xxp/"
DEST_MODULE_LOCATION[7]="/kernel/drivers/telephony/zaptel"

BUILT_MODULE_NAME[8]="wcte11xp"
BUILT_MODULE_LOCATION[8]="kernel/"
DEST_MODULE_LOCATION[8]="/kernel/drivers/telephony/zaptel"

BUILT_MODULE_NAME[9]="wcusb"
BUILT_MODULE_LOCATION[9]="kernel/"
DEST_MODULE_LOCATION[9]="/kernel/drivers/telephony/zaptel"

BUILT_MODULE_NAME[10]="zaptel"
BUILT_MODULE_LOCATION[10]="kernel/"
DEST_MODULE_LOCATION[10]="/kernel/drivers/telephony/zaptel"

BUILT_MODULE_NAME[11]="ztd-eth"
BUILT_MODULE_LOCATION[11]="kernel/"
DEST_MODULE_LOCATION[11]="/kernel/drivers/telephony/zaptel"

BUILT_MODULE_NAME[12]="ztd-loc"
BUILT_MODULE_LOCATION[12]="kernel/"
DEST_MODULE_LOCATION[12]="/kernel/drivers/telephony/zaptel"

BUILT_MODULE_NAME[13]="ztdummy"
BUILT_MODULE_LOCATION[13]="kernel/"
DEST_MODULE_LOCATION[13]="/kernel/drivers/telephony/zaptel"

BUILT_MODULE_NAME[14]="ztdynamic"
BUILT_MODULE_LOCATION[14]="kernel/"
DEST_MODULE_LOCATION[14]="/kernel/drivers/telephony/zaptel"

BUILT_MODULE_NAME[15]="xpp"
BUILT_MODULE_LOCATION[15]="kernel/xpp/"
DEST_MODULE_LOCATION[15]="/kernel/drivers/telephony/zaptel/xpp"

BUILT_MODULE_NAME[16]="xpd_fxo"
BUILT_MODULE_LOCATION[16]="kernel/xpp/"
DEST_MODULE_LOCATION[16]="/kernel/drivers/telephony/zaptel/xpp"

BUILT_MODULE_NAME[17]="xpd_fxs"
BUILT_MODULE_LOCATION[17]="kernel/xpp/"
DEST_MODULE_LOCATION[17]="/kernel/drivers/telephony/zaptel/xpp"

BUILT_MODULE_NAME[18]="wctdm24xxp"
BUILT_MODULE_LOCATION[18]="kernel/wctdm24xxp/"
DEST_MODULE_LOCATION[18]="/kernel/drivers/telephony/zaptel"

BUILT_MODULE_NAME[19]="wcte12xp"
BUILT_MODULE_LOCATION[19]="kernel/wcte12xp/"
DEST_MODULE_LOCATION[19]="/kernel/drivers/telephony/zaptel"

BUILT_MODULE_NAME[20]="xpd_pri"
BUILT_MODULE_LOCATION[20]="kernel/xpp/"
DEST_MODULE_LOCATION[20]="/kernel/drivers/telephony/zaptel/xpp"

BUILT_MODULE_NAME[21]="xpp_usb"
BUILT_MODULE_LOCATION[21]="kernel/xpp/"
DEST_MODULE_LOCATION[21]="/kernel/drivers/telephony/zaptel/xpp"

BUILT_MODULE_NAME[22]="zttranscode"
BUILT_MODULE_LOCATION[22]="kernel/"
DEST_MODULE_LOCATION[22]="/kernel/drivers/telephony/zaptel"

AUTOINSTALL=yes
EOF

install -m0755 libtonezone.so.%{major}.0 %{buildroot}%{_libdir}/
ln -snf libtonezone.so.%{major}.0 %{buildroot}%{_libdir}/libtonezone.so.%{major}
ln -snf libtonezone.so.%{major} %{buildroot}%{_libdir}/libtonezone.so
install -m0755 libtonezone.a %{buildroot}/%{_libdir}/
install -m0644 tonezone.h %{buildroot}%{_includedir}/zaptel/
install -m0644 kernel/zaptel.h %{buildroot}%{_includedir}/zaptel/

for prog in %progs; do
    install -m0755 private-build/$prog %{buildroot}%{_sbindir}/
done

install -m0755 ztclock %{buildroot}%{_sbindir}/
install -m0755 kernel/xpp/utils/genzaptelconf %{buildroot}%{_sbindir}/
install -m0644 kernel/xpp/utils/genzaptelconf.8 %{buildroot}%{_mandir}/man8/

rm -f %{buildroot}%{_sbindir}/ztcfg
install -m0755 ztcfg-static %{buildroot}/sbin/ztcfg

install -m0755 ifup-hdlc %{buildroot}%{_sysconfdir}/sysconfig/network-scripts

# fix one conflicting file with tetex
mv %{buildroot}%{_sbindir}/patgen %{buildroot}%{_sbindir}/%{name}-patgen

install -m0644 zaptel.conf.sample %{buildroot}%{_sysconfdir}/zaptel.conf
install -m0755 zaptel.init %{buildroot}%{_initrddir}/zaptel
install -m0644 zaptel.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/zaptel
mkdir -p %{buildroot}%{_sysconfdir}/modprobe.d
install -m0644 modprobe.conf %{buildroot}%{_sysconfdir}/modprobe.d/zaptel.conf

# install man pages
install -m0644 doc/fxotune.8 %{buildroot}%{_mandir}/man8/
install -m0644 doc/torisatool.8 %{buildroot}%{_mandir}/man8/
install -m0644 doc/ztcfg.8 %{buildroot}%{_mandir}/man8/
install -m0644 doc/ztmonitor.8 %{buildroot}%{_mandir}/man8/
install -m0644 doc/ztspeed.8 %{buildroot}%{_mandir}/man8/
install -m0644 doc/zttest.8 %{buildroot}%{_mandir}/man8/
install -m0644 doc/zttool.8 %{buildroot}%{_mandir}/man8/

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n dkms-%{name}
dkms add -m	%{name} -v %{version}-%{release} --rpm_safe_upgrade
dkms build -m	%{name} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m	%{name} -v %{version}-%{release} --rpm_safe_upgrade --force
%_post_service zaptel

%preun -n dkms-%{name}
dkms remove -m	%{name} -v %{version}-%{release} --rpm_safe_upgrade --all
%_preun_service zaptel

%pre -n dkms-%{name}
%_pre_useradd asterisk %{_localstatedir}/asterisk /bin/sh

%postun -n dkms-%{name}
%_postun_userdel asterisk

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc ChangeLog README
%{_libdir}/*.so.*

%files -n %{libnamedevel}
%defattr(-,root,root)
%{_includedir}/zaptel/*.h
%{_libdir}/*.so

%files -n %{libnamestaticdevel}
%defattr(-,root,root)
%{_libdir}/*.a

%files -n dkms-%{name}
%defattr(-,root,root)
%doc ChangeLog README*
%attr(0755,root,root) %{_initrddir}/zaptel
%attr(0755,root,root) %{_sysconfdir}/sysconfig/network-scripts/ifup-hdlc
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/udev/rules.d/40-zaptel.rules
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/modprobe.d/zaptel.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/zaptel.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/zaptel
/usr/src/%{name}-%{version}-%{release}

%files tools
%defattr(-,root,root)
%attr(0755,root,root) /sbin/ztcfg
%attr(0755,root,root) %{_sbindir}/fxstest
%attr(0755,root,root) %{_sbindir}/fxotune
%attr(0755,root,root) %{_sbindir}/genzaptelconf
%attr(0755,root,root) %{_sbindir}/hdlcgen
%attr(0755,root,root) %{_sbindir}/hdlcstress
%attr(0755,root,root) %{_sbindir}/hdlctest
%attr(0755,root,root) %{_sbindir}/hdlcverify
%attr(0755,root,root) %{_sbindir}/patlooptest
%attr(0755,root,root) %{_sbindir}/pattest
%attr(0755,root,root) %{_sbindir}/sethdlc-new
%attr(0755,root,root) %{_sbindir}/timertest
%attr(0755,root,root) %{_sbindir}/torisatool
%attr(0755,root,root) %{_sbindir}/usbfxstest
%attr(0755,root,root) %{_sbindir}/zaptel-patgen
%attr(0755,root,root) %{_sbindir}/ztcfg-dude
%attr(0755,root,root) %{_sbindir}/ztdiag
%attr(0755,root,root) %{_sbindir}/ztscan
%attr(0755,root,root) %{_sbindir}/zttest
%attr(0755,root,root) %{_sbindir}/ztmonitor
%attr(0755,root,root) %{_sbindir}/ztspeed
%attr(0755,root,root) %{_sbindir}/zttool
%attr(0755,root,root) %{_sbindir}/ztclock
%attr(0644,root,root) %{_mandir}/man8/fxotune.8*
%attr(0644,root,root) %{_mandir}/man8/genzaptelconf.8*
%attr(0644,root,root) %{_mandir}/man8/torisatool.8*
%attr(0644,root,root) %{_mandir}/man8/ztcfg.8*
%attr(0644,root,root) %{_mandir}/man8/ztmonitor.8*
%attr(0644,root,root) %{_mandir}/man8/ztspeed.8*
%attr(0644,root,root) %{_mandir}/man8/zttest.8*
%attr(0644,root,root) %{_mandir}/man8/zttool.8*


%changelog
* Mon May 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.10.1-3mdv2008.0
+ Revision: 201343
- rebuild
- added the genzaptelconf tool

* Sat May 03 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.4.10.1-2mdv2009.0
+ Revision: 200796
- fixed the dkms subpackage

* Thu May 01 2008 Stefan van der Eijk <stefan@mandriva.org> 1.4.10.1-1mdv2009.0
+ Revision: 199903
- 1.4.10.1

* Wed Apr 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.10-1mdv2009.0
+ Revision: 192515
- provide a better initscript
- new udev rules
- added the ztclock tool

  + Stefan van der Eijk <stefan@mandriva.org>
    - 1.4.10

* Fri Mar 07 2008 Stefan van der Eijk <stefan@mandriva.org> 1.4.9-1mdv2008.1
+ Revision: 181671
- fix spec file
- 1.4.9

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix spacing at top of description

* Tue Jan 15 2008 Stefan van der Eijk <stefan@mandriva.org> 1.4.8-1mdv2008.1
+ Revision: 152025
- 1.4.8

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 15 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.7.1-1mdv2008.1
+ Revision: 120328
- 1.4.7.1

* Sat Dec 08 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.7-1mdv2008.1
+ Revision: 116426
- 1.4.7

* Sun Oct 21 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.6-1mdv2008.1
+ Revision: 100957
- 1.4.6
- removed Patch1 russian_zonedata, no longer needed

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 1.4.5.1-3mdv2008.0
+ Revision: 94538
- rebuild for kmod provides

* Tue Sep 04 2007 David Walluck <walluck@mandriva.org> 1.4.5.1-2mdv2008.0
+ Revision: 79140
- new lib policy
- provide tonezone-devel

* Thu Aug 23 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.5.1-1mdv2008.0
+ Revision: 70238
- 1.4.5.1

* Sat Aug 18 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.5-1mdv2008.0
+ Revision: 65425
- 1.4.5

* Sat Jul 21 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.4-1mdv2008.0
+ Revision: 54320
- 1.4.4

* Sat Jun 09 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.3-1mdv2008.0
+ Revision: 37681
- 1.4.3

* Thu May 31 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.4.2.1-2mdv2008.0
+ Revision: 33317
- Rebuild with libnewt0.52.

* Sat May 05 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.2.1-1mdv2008.0
+ Revision: 22670
- 1.4.2.1

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-3mdv2008.0
+ Revision: 21621
- add the asterisk user if needed for the dkms sub package

* Tue Apr 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-2mdv2008.0
+ Revision: 13820
- make the modules actually *build*


* Wed Mar 28 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.1-1mdv2007.1
+ Revision: 149205
- 1.4.1

* Wed Jan 17 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-2mdv2007.1
+ Revision: 110055
- bump mkrel
- don't build xpp_usb
- add pinit info to zaptel init script

* Sun Dec 24 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-1mdv2007.1
+ Revision: 101988
- 1.4.0

* Mon Dec 18 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-0.4.beta3mdv2007.1
+ Revision: 98547
- fix make makefw
- 1.4.0-beta3

* Mon Dec 04 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-0.3.beta2mdv2007.1
+ Revision: 90334
- readd zaptel-1.4.0-mdv.diff
- rename backups for russian_zonedata patch
- Changes by Roman Gorshunov <paye600@mail.ru>
- added russian tonezone patch
- added /etc/modprobe.d/zaptel.conf, /etc/rc.d/init.d/zaptel, /ets/sysconfig/zaptel files to dkms
- added zaptranscode device to udev rules
- some other small fixes

* Fri Oct 20 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-0.2.beta2mdv2007.0
+ Revision: 71304
- 1.4.0-beta2

* Mon Oct 09 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-0.2.beta1mdv2007.1
+ Revision: 63040
- rebuild
- Import zaptel

* Sat Oct 07 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-0.1.beta1
- 1.4.0-beta1

* Sun Sep 17 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.9.1-1
- 1.2.9.1

* Thu Aug 24 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.8-1
- 1.2.8

* Sat Aug 05 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.7-5
- fix version on BuildRequires libzap-devel (1.2.0 to 1.0.1)

* Fri Aug 04 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.7-4
- Add .version file for dkms versioning. This fixes upgrading the dkms
  package.

* Thu Aug 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.7-3mdv2007.0
- added some more tools

* Wed Aug 02 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.7-2
- add missing file (OCT6114-128D.ima) to dkms package
- fix dkms package (include paths, etc)

* Sun Jul 16 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.7-1
- 1.2.7-1
- rediff patch0

* Thu Jun 01 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.6-4mdv2007.0
- 1.2.6 (no kidding)

* Thu May 25 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.6-3mdk
- fix bug with udev device creation

* Thu Apr 06 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.6-2mdk
- make it work with older udev

* Wed Mar 29 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.6-1mdk
- 1.2.6

* Wed Mar 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-3mdk
- drop the bristuff patch, use visdn instead as it is less intrusive

* Sun Mar 12 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-2mdk
- add forgotten stuff, xpp won't compile yet, leave that for later...

* Wed Feb 15 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.4-1mdk
- 1.2.4
- update bristuff to 0.3.0-PRE-1l

* Sat Feb 04 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.3-2mdk
- update bristuff to 0.3.0-PRE-1k

* Sat Feb 04 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.3-1mdk
- 1.2.3
- update bristuff to 0.3.0-PRE-1i

* Thu Jan 19 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-1mdk
- 1.2.2
- update bristuff to 0.3.0-PRE-1g

* Mon Dec 26 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-3mdk
- update bristuff to 0.3.0-PRE-1d

* Wed Dec 14 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-2mdk
- fix dkms package with bristuff

* Mon Dec 12 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-1mdk
- 1.2.1
- update bristuff to 0.3.0-PRE-1c
- enable bristuff

* Sun Nov 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-1mdk
- 1.2.0
- drop insane dep names

* Sat Nov 12 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-0.rc2.1mdk
- 1.2.0-rc2

* Thu Nov 10 2005 Stefan van der Eijk <stefan@eijk.nu 1.2.0-0.rc1.2mdk
- disable bristuff
- merge the bristuff related patches (from mdk & lvalues_fix)
- add udev configuration file to dkms-zaptel package

* Wed Nov 09 2005 Stefan van der Eijk <stefan@eijk.nu 1.2.0-0.rc1.1mdk
- 1.2.0-rc1

* Fri Nov 04 2005 Stefan van der Eijk <stefan@eijk.nu 1.2.0-0.beta2.1mdk
- 1.2.0-beta2
- disable bristuff patch

* Thu Oct 20 2005 Stefan van der Eijk <stefan@eijk.nu 1.2.0-0.beta1.1mdk
- 1.2.0-beta1
- drop patch2 (pciradio_x86_64_fix) merged upstream

* Sat Sep 03 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-20050529.2mdk
- fix build on x86_64 (#17971)
- use sane dep names

* Thu Jun 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-20050529.1mdk
- use a more appropriate version because this is really HEAD and not 1.0.8

* Wed Jun 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050529.3mdk
- fixed P1 (couriousous, Stefan van der Eijk)

* Tue Jun 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050529.2mdk
- removed usless stuff in P0
- added P1 to make the zaphfc module compile (is this correct?)

* Wed Jun 01 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050529.1mdk
- new snap (20050529)
- rediff P0
- bristuff-0.2.0-RC8f-CVS

* Fri May 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.3mdk
- rebuilt with gcc4

* Fri Apr 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.2mdk
- 0.2.0-RC8a-CVS
- mention the bristuff version in the description
- added the cwain driver from bristuff

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.1mdk
- use a recent CVS snap

* Sat Apr 23 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-3mdk
- never release without that first cup of morning coffey...

* Fri Apr 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-2mdk
- added the config to the dkms package
- relocate binaries to %%{_sbindir}/
- build the ztcfg binary statically and put it in /sbin/
- provide a sample of a modprobe.conf file, as generated in 
  a make install
- fix deps
- added the ifup-hdlc script
- added the qozap and zaphfc drivers from bristuff

* Thu Mar 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7

* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6
- use the %%mkrel macro
- update P0 to bristuff-0.2.0-RC7k
- drop obsolete patches P2 and P3

* Sat Jan 22 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0.3-4mdk
- fix wcfxs module compile with new gcc & kernel

* Tue Jan 11 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0.3-3mdk
- fix dkms naming

* Thu Jan 06 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0.3-2mdk
- add dkms package

* Sun Dec 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3
- bristuff-0.2.0-RC3 (P0)
- rediff P1
- drop the sethdlc binary as the code is too old. use the new
  sethdlc-1.15 >= 1mdk package instead.

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-3mdk
- bristuff-0.2.0-rc2a

* Mon Nov 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-2mdk
- bristuff-0.2.0-rc2 (P1)

* Thu Oct 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- better and updated P0
- bristuff-0.2.0-rc1 (P1)

* Mon Sep 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-2mdk
- added P1 by Klaus-Peter Junghanns

* Sat Sep 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0
- fix url

* Sun Sep 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.2mdk
- fix one conflicting file with tetex

* Sun Sep 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.1mdk
- initial mandrake package

