#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <string.h>
#include <fcntl.h>
#include <sys/time.h>
#include <sys/signal.h>
#include <math.h>

int main(int argc, char *argv[])
{
        int fd;
        int res;
        int count=0;
        int pass=1;
        int lastcount;
        char buf[1024];
        float score;
        float t_usec;
        float t_sec;
        float t_intervals;
        float sf;
        struct timeval start, now;
        fd = open("/dev/zap/pseudo", O_RDWR);
        if (fd < 0) {
                fprintf(stderr, "Unable to open zap interface: %s\n",strerror(errno));
                exit(1);
        }
        printf("\n\nztclock - clock source accuracy test (3 passes)\n");
        /* Flush input buffer */
        printf("\nFlushing input buffer...\n");
        gettimeofday(&start, NULL);
        for (count = 0;count < 64; count++)
                res = read(fd, buf, 1024);
        gettimeofday(&now, NULL);
        count = 0;
        start = now;
        printf("Flush Complete.\n\nTest is approximately 3 minutes. Please wait...\n");
        for(;;) {
                res = read(fd, buf, 1024);
                if (res < 0) {
                        fprintf(stderr, "Failed to read from pseudo interface: %s\n", strerror(errno));
                        exit(1);
                }
                count += res;
                if (count >= 483328) {
                        gettimeofday(&now, NULL);
                        t_usec = ((float)now.tv_sec - (float)start.tv_sec) * 1000000;
                        t_usec += ((float)now.tv_usec - (float)start.tv_usec);
                        t_sec = t_usec / 1000000;
                        t_intervals = ceil(t_usec / 125);
                        start = now;
                        printf("\n%d samples in %f sec. (%d sample intervals) ", count, t_sec, (int)t_intervals);
                        score = 100.0 - 100.0 * fabs((float)count - t_intervals) / (float)count;
                        printf("%f%%  ", score);
                        fflush(stdout);
                        pass++;
                        lastcount = count;
                        count = 0;
                        if (pass > 3) {
                                if (lastcount == (int)t_intervals)
                                exit(0);
                                sf = 483.328 / (fabs((float)lastcount - t_intervals));
                                printf("\n\nEstimate 8 frame slips every %f seconds.\n\n", sf);
                                exit(0);
                        }
                }
        }
}

